<?php
include 'mysqli_connect.php'; // Database connection

// Fetch all comments from the database
$query = "SELECT id, name, comment, created_at FROM guestbook ORDER BY created_at DESC";
$result = mysqli_query($conn, $query);

echo '<!DOCTYPE html>
<html>
<head>
    <title>Guestbook</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>';
include 'header.php';

echo '<div class="container">';
echo '<h1>Guestbook Comments</h1>';

if (mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        echo "<div class='comment'>";
        echo "<p><strong>Name:</strong> " . htmlspecialchars($row['name']) . "</p>";
        echo "<p><strong>Comment:</strong> " . htmlspecialchars($row['comment']) . "</p>";
        echo "<p><small><strong>Posted on:</strong> " . htmlspecialchars($row['created_at']) . "</small></p>";
        
        // Update button
        echo "<a href='update.php?id=" . $row['id'] . "'><button>Update</button></a> ";
        
        // Delete button
        echo "<form action='' method='POST' style='display:inline;'>
                <input type='hidden' name='id' value='" . $row['id'] . "' />
                <input type='submit' name='delete' value='Delete' />
              </form>";
        echo "</div>";
    }
} else {
    echo "<p>No comments available.</p>";
}

// Handle delete functionality
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id'])) {
    $id = (int) $_POST['id'];
    $deleteQuery = "DELETE FROM guestbook WHERE id = ?";
    $stmt = $conn->prepare($deleteQuery);
    $stmt->bind_param("i", $id);
    if ($stmt->execute()) {
        echo "<p>Comment deleted successfully!</p>";
        header("Location: index.php");
        exit();
    } else {
        echo "<p>Error deleting comment: " . $conn->error . "</p>";
    }
}

include 'footer.php';
echo '</div></body></html>';

mysqli_close($conn);
?>